<% if (isJekyll) { %>---
title: ns typings
position: 25
---<% } %>

# ns typings

### Description

Generate iOS & Android typings by default (respecting platform support, so no ios typings generated on windows/linux machines)

### Commands

Usage | Synopsis
---|---
Generate typings to Android | `$ ns typings android [--jar <Jar1> --jar <Jar2>] [--aar <Aar1>] [--copy-to <Path>]`
Generate typings to iOS | `$ ns typings ios [--filter <Filter>] [--copy-to <Path>]`

### Options

* `--jar` - Path to jar file to generate typings for (Supports multiple by passing them individually) (Android only)
* `--aar` - Path to aar file to generate typings for (Currently unsupported) (Android only)
* `--filter` - Regex to filter typings (Currently unsupported) (iOS only)

* `--copy-to` - Copy generated typings to the specified folder

<% if((isConsole && isMacOS) || isHtml) { %>### Arguments
`<Platform>` is the target mobile platform for which you want to generate typings. You can set the following target platforms:
 * `android` - Generate typings for android.
 * `ios` - Generate typings for iOS.



### Related Commands

Command | Description
----------|----------
[appstore](../../publishing/appstore.html) | Lists applications registered in iTunes Connect.
[appstore upload](../../publishing/appstore-upload.html) | Uploads project to iTunes Connect.
[build android](build-android.html) | Builds the project for Android and produces an APK that you can manually deploy on device or in the native emulator.
[build ios](build-ios.html) | Builds the project for iOS and produces an APP or IPA that you can manually deploy in the iOS Simulator or on device, respectively.
[build](build.html) | Builds the project for the selected target platform and produces an application package that you can manually deploy on device or in the native emulator.
[debug android](debug-android.html) | Debugs your project on a connected Android device or in a native emulator.
[debug ios](debug-ios.html) | Debugs your project on a connected iOS device or in a native emulator.
[debug](debug.html) | Debugs your project on a connected device or in a native emulator.
[deploy](deploy.html) | Builds and deploys the project to a connected physical or virtual device.
[run android](run-android.html) | Runs your project on a connected Android device or in a native Android emulator, if configured.
[run ios](run-ios.html) | Runs your project on a connected iOS device or in the iOS Simulator, if configured.
[test init](test-init.html) | Configures your project for unit testing with a selected framework.
[test android](test-android.html) | Runs the tests in your project on Android devices or native emulators.
[test ios](test-ios.html) | Runs the tests in your project on iOS devices or the iOS Simulator.
<% } %>
