"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const yok_1 = require("./common/yok");
require("./common/bootstrap");
yok_1.injector.requirePublicClass("logger", "./common/logger/logger");
yok_1.injector.require("config", "./config");
yok_1.injector.require("options", "./options");
// note: order above is important!
yok_1.injector.requirePublicClass("constants", "./constants-provider");
yok_1.injector.require("projectData", "./project-data");
yok_1.injector.requirePublic("projectDataService", "./services/project-data-service");
yok_1.injector.requirePublic("projectBackupService", "./services/project-backup-service");
yok_1.injector.requirePublic("projectCleanupService", "./services/project-cleanup-service");
yok_1.injector.requirePublic("projectConfigService", "./services/project-config-service");
yok_1.injector.require("performanceService", "./services/performance-service");
yok_1.injector.requirePublic("projectService", "./services/project-service");
yok_1.injector.require("androidProjectService", "./services/android-project-service");
yok_1.injector.require("androidPluginBuildService", "./services/android-plugin-build-service");
yok_1.injector.require("gradleCommandService", "./services/android/gradle-command-service");
yok_1.injector.require("gradleBuildService", "./services/android/gradle-build-service");
yok_1.injector.require("gradleBuildArgsService", "./services/android/gradle-build-args-service");
yok_1.injector.require("androidBundleToolService", "./services/android/android-bundle-tool-service");
yok_1.injector.require("iOSEntitlementsService", "./services/ios-entitlements-service");
yok_1.injector.require("iOSNativeTargetService", "./services/ios-native-target-service");
yok_1.injector.require("iOSExtensionsService", "./services/ios-extensions-service");
yok_1.injector.require("iOSWatchAppService", "./services/ios-watch-app-service");
yok_1.injector.require("iOSProjectService", "./services/ios-project-service");
yok_1.injector.require("iOSProvisionService", "./services/ios-provision-service");
yok_1.injector.require("xcconfigService", "./services/xcconfig-service");
yok_1.injector.require("iOSSigningService", "./services/ios/ios-signing-service");
yok_1.injector.require("spmService", "./services/ios/spm-service");
yok_1.injector.require("xcodebuildArgsService", "./services/ios/xcodebuild-args-service");
yok_1.injector.require("xcodebuildCommandService", "./services/ios/xcodebuild-command-service");
yok_1.injector.require("xcodebuildService", "./services/ios/xcodebuild-service");
yok_1.injector.require("exportOptionsPlistService", "./services/ios/export-options-plist-service");
yok_1.injector.require("cocoapodsService", "./services/cocoapods-service");
yok_1.injector.require("cocoaPodsPlatformManager", "./services/cocoapods-platform-manager");
yok_1.injector.require("projectTemplatesService", "./services/project-templates-service");
yok_1.injector.require("projectNameService", "./services/project-name-service");
yok_1.injector.require("tnsModulesService", "./services/tns-modules-service");
yok_1.injector.require("platformsDataService", "./services/platforms-data-service");
yok_1.injector.require("addPlatformService", "./services/platform/add-platform-service");
yok_1.injector.require("buildInfoFileService", "./services/build-info-file-service");
yok_1.injector.require("prepareNativePlatformService", "./services/platform/prepare-native-platform-service");
yok_1.injector.require("platformValidationService", "./services/platform/platform-validation-service");
yok_1.injector.require("buildArtifactsService", "./services/build-artifacts-service");
yok_1.injector.require("deviceInstallAppService", "./services/device/device-install-app-service");
yok_1.injector.require("platformController", "./controllers/platform-controller");
yok_1.injector.require("prepareController", "./controllers/prepare-controller");
yok_1.injector.require("deployController", "./controllers/deploy-controller");
yok_1.injector.requirePublicClass("buildController", "./controllers/build-controller");
yok_1.injector.requirePublicClass("runController", "./controllers/run-controller");
yok_1.injector.requirePublicClass("debugController", "./controllers/debug-controller");
yok_1.injector.requirePublicClass("updateController", "./controllers/update-controller");
yok_1.injector.requirePublicClass("migrateController", "./controllers/migrate-controller");
yok_1.injector.require("prepareDataService", "./services/prepare-data-service");
yok_1.injector.require("buildDataService", "./services/build-data-service");
yok_1.injector.require("liveSyncServiceResolver", "./resolvers/livesync-service-resolver");
yok_1.injector.require("liveSyncProcessDataService", "./services/livesync-process-data-service");
yok_1.injector.require("debugDataService", "./services/debug-data-service");
yok_1.injector.require("iOSDeviceDebugService", "./services/ios-device-debug-service");
yok_1.injector.require("androidDeviceDebugService", "./services/android-device-debug-service");
yok_1.injector.require("timelineProfilerService", "./services/timeline-profiler-service");
yok_1.injector.require("userSettingsService", "./services/user-settings-service");
yok_1.injector.requirePublic("analyticsSettingsService", "./services/analytics-settings-service");
yok_1.injector.require("analyticsService", "./services/analytics/analytics-service");
yok_1.injector.require("googleAnalyticsProvider", "./services/analytics/google-analytics-provider");
yok_1.injector.require("platformCommandParameter", "./platform-command-param");
yok_1.injector.requireCommand("create", "./commands/create-project");
yok_1.injector.requireCommand("clean", "./commands/clean");
yok_1.injector.requireCommand("config|*list", "./commands/config");
yok_1.injector.requireCommand("config|get", "./commands/config");
yok_1.injector.requireCommand("config|set", "./commands/config");
yok_1.injector.requireCommand("generate", "./commands/generate");
yok_1.injector.requireCommand("platform|*list", "./commands/list-platforms");
yok_1.injector.requireCommand("platform|add", "./commands/add-platform");
yok_1.injector.requireCommand("platform|remove", "./commands/remove-platform");
yok_1.injector.requireCommand("platform|update", "./commands/update-platform");
yok_1.injector.requireCommand("run|*all", "./commands/run");
yok_1.injector.requireCommand("run|ios", "./commands/run");
yok_1.injector.requireCommand("run|android", "./commands/run");
yok_1.injector.requireCommand("run|vision", "./commands/run");
yok_1.injector.requireCommand("run|visionos", "./commands/run");
yok_1.injector.requireCommand("typings", "./commands/typings");
yok_1.injector.requireCommand("preview", "./commands/preview");
yok_1.injector.requireCommand("debug|ios", "./commands/debug");
yok_1.injector.requireCommand("debug|android", "./commands/debug");
yok_1.injector.requireCommand("debug|vision", "./commands/debug");
yok_1.injector.requireCommand("debug|visionos", "./commands/debug");
yok_1.injector.requireCommand("fonts", "./commands/fonts");
yok_1.injector.requireCommand("prepare", "./commands/prepare");
yok_1.injector.requireCommand("build|ios", "./commands/build");
yok_1.injector.requireCommand("build|android", "./commands/build");
yok_1.injector.requireCommand("build|vision", "./commands/build");
yok_1.injector.requireCommand("build|visionos", "./commands/build");
yok_1.injector.requireCommand("deploy", "./commands/deploy");
yok_1.injector.require("testExecutionService", "./services/test-execution-service");
yok_1.injector.requireCommand("dev-test|android", "./commands/test");
yok_1.injector.requireCommand("dev-test|ios", "./commands/test");
yok_1.injector.requireCommand("test|android", "./commands/test");
yok_1.injector.requireCommand("test|ios", "./commands/test");
// injector.requireCommand("test|vision", "./commands/test");
// injector.requireCommand("test|visionos", "./commands/test");
yok_1.injector.requireCommand("test|init", "./commands/test-init");
yok_1.injector.requireCommand("dev-generate-help", "./commands/generate-help");
yok_1.injector.requireCommand("appstore|*list", "./commands/appstore-list");
yok_1.injector.requireCommand("appstore|upload", "./commands/appstore-upload");
yok_1.injector.requireCommand("publish|ios", "./commands/appstore-upload");
yok_1.injector.requireCommand("apple-login", "./commands/apple-login");
yok_1.injector.require("itmsTransporterService", "./services/itmstransporter-service");
yok_1.injector.requireCommand("setup|*", "./commands/setup");
yok_1.injector.requirePublic("packageManager", "./package-manager");
yok_1.injector.requirePublic("npm", "./node-package-manager");
yok_1.injector.requirePublic("yarn", "./yarn-package-manager");
yok_1.injector.requirePublic("yarn2", "./yarn2-package-manager");
yok_1.injector.requirePublic("pnpm", "./pnpm-package-manager");
yok_1.injector.requirePublic("bun", "./bun-package-manager");
yok_1.injector.requireCommand("package-manager|*get", "./commands/package-manager-get");
yok_1.injector.requireCommand("package-manager|set", "./commands/package-manager-set");
yok_1.injector.require("packageInstallationManager", "./package-installation-manager");
yok_1.injector.require("deviceLogProvider", "./common/mobile/device-log-provider");
yok_1.injector.require("projectFilesProvider", "./providers/project-files-provider");
yok_1.injector.require("nodeModulesBuilder", "./tools/node-modules/node-modules-builder");
yok_1.injector.require("pluginVariablesService", "./services/plugin-variables-service");
yok_1.injector.require("pluginsService", "./services/plugins-service");
yok_1.injector.requireCommand("plugin|*list", "./commands/plugin/list-plugins");
yok_1.injector.requireCommand("plugin|add", "./commands/plugin/add-plugin");
yok_1.injector.requireCommand("plugin|install", "./commands/plugin/add-plugin");
yok_1.injector.requireCommand("plugin|remove", "./commands/plugin/remove-plugin");
yok_1.injector.requireCommand("plugin|update", "./commands/plugin/update-plugin");
yok_1.injector.requireCommand("plugin|build", "./commands/plugin/build-plugin");
yok_1.injector.requireCommand("plugin|create", "./commands/plugin/create-plugin");
yok_1.injector.require("doctorService", "./services/doctor-service");
yok_1.injector.require("xcprojService", "./services/xcproj-service");
yok_1.injector.require("versionsService", "./services/versions-service");
yok_1.injector.requireCommand("install", "./commands/install");
yok_1.injector.require("infoService", "./services/info-service");
yok_1.injector.requireCommand("info", "./commands/info");
yok_1.injector.require("androidResourcesMigrationService", "./services/android-resources-migration-service");
yok_1.injector.requireCommand("resources|update", "./commands/resources/resources-update");
yok_1.injector.require("androidToolsInfo", "./android-tools-info");
yok_1.injector.require("devicePathProvider", "./device-path-provider");
yok_1.injector.requireCommand("platform|clean", "./commands/platform-clean");
yok_1.injector.require("androidBundleValidatorHelper", "./helpers/android-bundle-validator-helper");
yok_1.injector.require("liveSyncCommandHelper", "./helpers/livesync-command-helper");
yok_1.injector.require("deployCommandHelper", "./helpers/deploy-command-helper");
yok_1.injector.require("platformCommandHelper", "./helpers/platform-command-helper");
yok_1.injector.require("optionsTracker", "./helpers/options-track-helper");
yok_1.injector.requirePublicClass("localBuildService", "./services/local-build-service");
yok_1.injector.require("LiveSyncSocket", "./services/livesync/livesync-socket");
yok_1.injector.requirePublicClass("androidLivesyncTool", "./services/livesync/android-livesync-tool");
yok_1.injector.require("androidLiveSyncService", "./services/livesync/android-livesync-service");
yok_1.injector.require("iOSLiveSyncService", "./services/livesync/ios-livesync-service");
yok_1.injector.require("usbLiveSyncService", "./services/livesync/livesync-service"); // The name is used in https://github.com/NativeScript/nativescript-dev-typescript
yok_1.injector.requirePublic("sysInfo", "./sys-info");
yok_1.injector.require("iOSNotificationService", "./services/ios-notification-service");
yok_1.injector.require("appDebugSocketProxyFactory", "./device-sockets/ios/app-debug-socket-proxy-factory");
yok_1.injector.require("iOSNotification", "./device-sockets/ios/notification");
yok_1.injector.require("iOSSocketRequestExecutor", "./device-sockets/ios/socket-request-executor");
yok_1.injector.require("messages", "./common/messages/messages");
yok_1.injector.requireCommand("post-install-cli", "./commands/post-install");
yok_1.injector.requireCommand("migrate", "./commands/migrate");
yok_1.injector.requireCommand("update", "./commands/update");
yok_1.injector.require("iOSLogFilter", "./services/ios-log-filter");
yok_1.injector.require("logSourceMapService", "./services/log-source-map-service");
yok_1.injector.require("projectChangesService", "./services/project-changes-service");
yok_1.injector.require("pbxprojDomXcode", "./node/pbxproj-dom-xcode");
yok_1.injector.require("xcode", "./node/xcode");
yok_1.injector.require("staticConfig", "./config");
yok_1.injector.require("requireService", "./services/require-service");
yok_1.injector.requireCommand("extension|*list", "./commands/extensibility/list-extensions");
yok_1.injector.requireCommand("extension|install", "./commands/extensibility/install-extension");
yok_1.injector.requireCommand("extension|uninstall", "./commands/extensibility/uninstall-extension");
yok_1.injector.requirePublicClass("extensibilityService", "./services/extensibility-service");
yok_1.injector.require("nodeModulesDependenciesBuilder", "./tools/node-modules/node-modules-dependencies-builder");
yok_1.injector.require("terminalSpinnerService", "./services/terminal-spinner-service");
yok_1.injector.require("platformEnvironmentRequirements", "./services/platform-environment-requirements");
yok_1.injector.requireCommand("resources|generate|icons", "./commands/generate-assets");
yok_1.injector.requireCommand("resources|generate|splashes", "./commands/generate-assets");
yok_1.injector.requirePublic("assetsGenerationService", "./services/assets-generation/assets-generation-service");
yok_1.injector.require("filesHashService", "./services/files-hash-service");
yok_1.injector.require("logParserService", "./services/log-parser-service");
yok_1.injector.require("iOSDebuggerPortService", "./services/ios-debugger-port-service");
yok_1.injector.require("hmrStatusService", "./services/hmr-status-service");
yok_1.injector.require("pacoteService", "./services/pacote-service");
yok_1.injector.require("qrCodeTerminalService", "./services/qr-code-terminal-service");
yok_1.injector.require("testInitializationService", "./services/test-initialization-service");
yok_1.injector.require("networkConnectivityValidator", "./helpers/network-connectivity-validator");
yok_1.injector.requirePublic("cleanupService", "./services/cleanup-service");
yok_1.injector.require("webpackCompilerService", "./services/webpack/webpack-compiler-service");
yok_1.injector.require("applePortalSessionService", "./services/apple-portal/apple-portal-session-service");
yok_1.injector.require("applePortalCookieService", "./services/apple-portal/apple-portal-cookie-service");
yok_1.injector.require("applePortalApplicationService", "./services/apple-portal/apple-portal-application-service");
yok_1.injector.require("watchIgnoreListService", "./services/watch-ignore-list-service");
yok_1.injector.requirePublicClass("initializeService", "./services/initialize-service");
yok_1.injector.require("npmConfigService", "./services/npm-config-service");
yok_1.injector.require("ipService", "./services/ip-service");
yok_1.injector.require("jsonFileSettingsService", "./common/services/json-file-settings-service");
yok_1.injector.require("markingModeService", "./services/marking-mode-service");
yok_1.injector.require("metadataFilteringService", "./services/metadata-filtering-service");
yok_1.injector.require("tempService", "./services/temp-service");
yok_1.injector.require("sharedEventBus", "./shared-event-bus");
yok_1.injector.require("keyCommandHelper", "./helpers/key-command-helper");
yok_1.injector.requireCommand("start", "./commands/start");
yok_1.injector.require("startService", "./services/start-service");
require("./key-commands/bootstrap");
//# sourceMappingURL=bootstrap.js.map