"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemovePlatformCommand = void 0;
const _ = require("lodash");
const yok_1 = require("../common/yok");
class RemovePlatformCommand {
    constructor($errors, $platformCommandHelper, $platformValidationService, $projectData) {
        this.$errors = $errors;
        this.$platformCommandHelper = $platformCommandHelper;
        this.$platformValidationService = $platformValidationService;
        this.$projectData = $projectData;
        this.allowedParameters = [];
        this.$projectData.initializeProjectData();
    }
    execute(args) {
        return this.$platformCommandHelper.removePlatforms(args, this.$projectData);
    }
    canExecute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!args || args.length === 0) {
                this.$errors.failWithHelp("No platform specified. Please specify a platform to remove.");
            }
            _.each(args, (platform) => {
                this.$platformValidationService.validatePlatform(platform, this.$projectData);
            });
            return true;
        });
    }
}
exports.RemovePlatformCommand = RemovePlatformCommand;
yok_1.injector.registerCommand("platform|remove", RemovePlatformCommand);
//# sourceMappingURL=remove-platform.js.map