"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DoctorAndroidCommand = exports.DoctorIosCommand = exports.DoctorCommand = void 0;
const yok_1 = require("../yok");
class DoctorCommand {
    constructor($doctorService, $projectHelper) {
        this.$doctorService = $doctorService;
        this.$projectHelper = $projectHelper;
        this.allowedParameters = [];
    }
    execute(args) {
        return this.$doctorService.printWarnings({
            trackResult: false,
            projectDir: this.$projectHelper.projectDir,
            forceCheck: true,
        });
    }
}
exports.DoctorCommand = DoctorCommand;
yok_1.injector.registerCommand("doctor|*all", DoctorCommand);
class DoctorIosCommand {
    constructor($doctorService, $projectHelper) {
        this.$doctorService = $doctorService;
        this.$projectHelper = $projectHelper;
        this.allowedParameters = [];
    }
    execute(args) {
        return this.$doctorService.printWarnings({
            trackResult: false,
            projectDir: this.$projectHelper.projectDir,
            forceCheck: true,
            platform: "ios" /* PlatformTypes.ios */,
        });
    }
}
exports.DoctorIosCommand = DoctorIosCommand;
yok_1.injector.registerCommand("doctor|ios", DoctorIosCommand);
class DoctorAndroidCommand {
    constructor($doctorService, $projectHelper) {
        this.$doctorService = $doctorService;
        this.$projectHelper = $projectHelper;
        this.allowedParameters = [];
    }
    execute(args) {
        return this.$doctorService.printWarnings({
            trackResult: false,
            projectDir: this.$projectHelper.projectDir,
            forceCheck: true,
            platform: "android" /* PlatformTypes.android */,
        });
    }
}
exports.DoctorAndroidCommand = DoctorAndroidCommand;
yok_1.injector.registerCommand("doctor|android", DoctorAndroidCommand);
//# sourceMappingURL=doctor.js.map