"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlatformCommandParameter = void 0;
const yok_1 = require("./common/yok");
class PlatformCommandParameter {
    constructor($platformValidationService, $projectData) {
        this.$platformValidationService = $platformValidationService;
        this.$projectData = $projectData;
        this.mandatory = true;
    }
    validate(value) {
        return __awaiter(this, void 0, void 0, function* () {
            this.$projectData.initializeProjectData();
            this.$platformValidationService.validatePlatform(value, this.$projectData);
            return true;
        });
    }
}
exports.PlatformCommandParameter = PlatformCommandParameter;
yok_1.injector.register("platformCommandParameter", PlatformCommandParameter);
//# sourceMappingURL=platform-command-param.js.map