"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BuildDataService = void 0;
const build_data_1 = require("../data/build-data");
const yok_1 = require("../common/yok");
class BuildDataService {
    constructor($mobileHelper) {
        this.$mobileHelper = $mobileHelper;
    }
    getBuildData(projectDir, platform, data) {
        if (this.$mobileHelper.isApplePlatform(platform)) {
            return new build_data_1.IOSBuildData(projectDir, platform, data);
        }
        else if (this.$mobileHelper.isAndroidPlatform(platform)) {
            return new build_data_1.AndroidBuildData(projectDir, platform, data);
        }
    }
}
exports.BuildDataService = BuildDataService;
yok_1.injector.register("buildDataService", BuildDataService);
//# sourceMappingURL=build-data-service.js.map