"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DebugDataService = void 0;
const yok_1 = require("../common/yok");
class DebugDataService {
    constructor($devicesService) {
        this.$devicesService = $devicesService;
    }
    getDebugData(deviceIdentifier, projectData, debugOptions) {
        const device = this.$devicesService.getDeviceByIdentifier(deviceIdentifier);
        return {
            applicationIdentifier: projectData.projectIdentifiers[device.deviceInfo.platform.toLowerCase()],
            projectDir: projectData.projectDir,
            deviceIdentifier,
            projectName: projectData.projectName,
            debugOptions,
        };
    }
}
exports.DebugDataService = DebugDataService;
yok_1.injector.register("debugDataService", DebugDataService);
//# sourceMappingURL=debug-data-service.js.map