"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const package_path_helper_1 = require("../helpers/package-path-helper");
process.on("message", (data) => {
    if (data.karmaConfig) {
        const pathToKarma = (0, package_path_helper_1.resolvePackagePath)("karma", {
            paths: [data.karmaConfig.projectDir],
        });
        const KarmaServer = require(path.join(pathToKarma, "lib/server"));
        const karma = new KarmaServer(data.karmaConfig, (exitCode) => {
            // Exit with the correct exit code and signal the manager process.
            process.exit(exitCode);
        });
        karma.start();
    }
});
//# sourceMappingURL=karma-execution.js.map