"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrepareDataService = void 0;
const prepare_data_1 = require("../data/prepare-data");
const yok_1 = require("../common/yok");
class PrepareDataService {
    constructor($mobileHelper) {
        this.$mobileHelper = $mobileHelper;
    }
    getPrepareData(projectDir, platform, data) {
        const platformLowerCase = platform.toLowerCase();
        if (this.$mobileHelper.isApplePlatform(platform)) {
            return new prepare_data_1.IOSPrepareData(projectDir, platformLowerCase, data);
        }
        else if (this.$mobileHelper.isAndroidPlatform(platform)) {
            return new prepare_data_1.AndroidPrepareData(projectDir, platformLowerCase, data);
        }
    }
}
exports.PrepareDataService = PrepareDataService;
yok_1.injector.register("prepareDataService", PrepareDataService);
//# sourceMappingURL=prepare-data-service.js.map