"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TempService = void 0;
const temp = require("temp");
const yok_1 = require("../common/yok");
class TempService {
    constructor($cleanupService) {
        this.$cleanupService = $cleanupService;
        temp.track();
    }
    mkdirSync(affixes) {
        return __awaiter(this, void 0, void 0, function* () {
            const pathToDir = temp.mkdirSync(affixes);
            yield this.$cleanupService.addCleanupDeleteAction(pathToDir);
            return pathToDir;
        });
    }
    path(options) {
        return __awaiter(this, void 0, void 0, function* () {
            const pathToFile = temp.path(options);
            yield this.$cleanupService.addCleanupDeleteAction(pathToFile);
            return pathToFile;
        });
    }
}
exports.TempService = TempService;
yok_1.injector.register("tempService", TempService);
//# sourceMappingURL=temp-service.js.map