"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TerminalSpinnerService = void 0;
const ora = require("ora");
const yok_1 = require("../common/yok");
class TerminalSpinnerService {
    createSpinner(spinnerOptions = {}) {
        // @ts-expect-error - options are readonly, however we still want to override them before passing them on...
        spinnerOptions.stream = spinnerOptions.stream || process.stdout;
        return ora(spinnerOptions);
    }
    execute(spinnerOptions, action) {
        return __awaiter(this, void 0, void 0, function* () {
            const spinner = this.createSpinner(spinnerOptions);
            spinner.start();
            let result = null;
            try {
                result = yield action();
            }
            catch (err) {
                spinner.fail();
                return null;
            }
            spinner.succeed();
            return result;
        });
    }
}
exports.TerminalSpinnerService = TerminalSpinnerService;
yok_1.injector.register("terminalSpinnerService", TerminalSpinnerService);
//# sourceMappingURL=terminal-spinner-service.js.map